This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 56228 - xemacs-21.4.5-[12].ia64 dump core
xemacs-21.4.5-[12].ia64 dump core
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: xemacs (Show other bugs)
1.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-14 04:31 EST by Jens Petersen
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-14 11:42:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2001-11-14 04:31:19 EST
Description of Problem:
Dumps core at startup.

Version-Release number of selected component (if applicable):
21.4.5-1, 21.4.5-2

How Reproducible:
always

Steps to Reproduce:
% xemacs
or
% xemacs -nw

Actual Results:
% xemacs

Fatal error (11).

Your files have been auto-saved.
Use `M-x recover-session' to recover them.

If you have access to the PROBLEMS file that came with your
version of XEmacs, please check to see if your crash is described
there, as there may be a workaround available.
Otherwise, please report this bug by running the send-pr
script included with XEmacs, or selecting `Send Bug Report'
from the help menu.
As a last resort send ordinary email to `crashes@xemacs.org'.
*MAKE SURE* to include the information in the command
M-x describe-installation.

If at all possible, *please* try to obtain a C stack backtrace;
it will help us immensely in determining what went wrong.
To do this, locate the core file that was produced as a result
of this crash (it's usually called `core' and is located in the
directory in which you started the editor, or maybe in your home
directory), and type

  gdb /usr/bin/xemacs core

then type `where' when the debugger prompt comes up.
(If you don't have GDB on your system, you might have DBX,
or XDB, or SDB.  A similar procedure should work for all of
these.  Ask your system administrator if you need more help.)

Lisp backtrace follows:

  add-spec-to-specifier(#<natnum-specifier global=0
fallback=#<natnum-specifier global=<unspecified> fallback=(... ...) 0x18e>
0x192> 0 global)
  # bind (resource class name)
  byte-code("..." [type resource locale class name resource-list
x-get-resource nil warn add-spec-to-specifier throw done t specifier] 8)
  # (catch done ...)
  # bind (resource-list locale type specifier)
  x-init-specifier-from-resources(#<natnum-specifier global=0
fallback=#<natnum-specifier global=<unspecified> fallback=(... ...) 0x18e>
0x192> natnum global ("topToolBarHeight" . "TopToolBarHeight"))
  # bind (specifier resname G33492 locale)
  x-init-toolbar-from-resources(global)
  # bind (locale)
  init-toolbar-from-resources(global)
  # (unwind-protect ...)
  # (unwind-protect ...)
  make-device(x nil)
  # bind (display)
  make-x-device(nil)
  init-x-win()
  # bind (debugger debug-on-error command-line-args-left)
  command-line()
  # (unwind-protect ...)
  normal-top-level()
  # (condition-case ... . error)
  # (catch top-level ...)
Segmentation fault

Expected Results:
No segfault.

Additional Information:

Rebuilding on locally fixes the problem.
Buildroot damage?
Comment 1 Trond Eivind Glomsrxd 2001-11-14 11:42:08 EST
Likely...
Comment 2 Trond Eivind Glomsrxd 2002-07-29 15:11:01 EDT
This was fixed a long time ago - need to start closing bugs :).

Note You need to log in before you can comment on or make changes to this bug.